Subject: RE: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus whenit calls `list-processes'

From: "Drew Adams" <[email-masked]>
Date: Sun, 22 Jul 2012 14:16:55 -0700

> > > Error (initialization): User  has no home directory
> >                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > What does that last message tell you?  I think this is the key to
> > unlock your mystery.
> 
> Perhaps you can tell me how so?

And in Emacs (including emacs -Q), my `user-login-name' is defined correctly.

I mention this because I notice that there seem to be 2 spaces between "User"
and "has" in that message. Perhaps it is trying to print a user name of only ""
between the two words.

BTW, if that is the case, then that error message is pretty lame.  It is almost
always better to quote the name that a message wants to refer to (i.e., wants to
quote).

That message would be clearer (if this in fact is the problem) if it said:

"User `' has no home directory".  Or perhaps "User name is empty".